net.minecraft.world

## Class WorldManager

- java.lang.Object
- - net.minecraft.world.WorldManager

- All Implemented Interfaces:
    IWorldAccess

      public class WorldManager
      extends Object
      implements IWorldAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldManager(MinecraftServer par1MinecraftServer, WorldServer par2WorldServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastSound(int par1, int par2, int par3, int par4, int par5)`
    `void` | `destroyBlockPartially(int par1, int par2, int par3, int par4, int par5)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
    `void` | `markBlockForRenderUpdate(int par1, int par2, int par3)` On the client, re-renders this block.
    `void` | `markBlockForUpdate(int par1, int par2, int par3)` On the client, re-renders the block.
    `void` | `markBlockRangeForRenderUpdate(int par1, int par2, int par3, int par4, int par5, int par6)` On the client, re-renders all blocks in this range, inclusive.
    `void` | `obtainEntitySkin(Entity par1Entity)` Start the skin for this entity downloading, if necessary, and increment its reference counter
    `void` | `playAuxSFX(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
    `void` | `playRecord(String par1Str, int par2, int par3, int par4)` Plays the specified record.
    `void` | `playSound(String par1Str, double par2, double par4, double par6, float par8, float par9)` Plays the specified sound.
    `void` | `playSoundToNearExcept(EntityPlayer par1EntityPlayer, String par2Str, double par3, double par5, double par7, float par9, float par10)` Plays sound to all near players except the player reference given
    `void` | `releaseEntitySkin(Entity par1Entity)` Decrement the reference counter for this entity's skin image data
    `void` | `spawnParticle(String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)` Spawns a particle.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldManager

          public WorldManager(MinecraftServer par1MinecraftServer,
                      WorldServer par2WorldServer)

  - ### Method Detail

    - #### spawnParticle

          public void spawnParticle(String par1Str,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

      Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ
      Specified by:
        `spawnParticle` in interface `IWorldAccess`

    - #### obtainEntitySkin

          public void obtainEntitySkin(Entity par1Entity)

      Start the skin for this entity downloading, if necessary, and increment its reference counter
      Specified by:
        `obtainEntitySkin` in interface `IWorldAccess`

    - #### releaseEntitySkin

          public void releaseEntitySkin(Entity par1Entity)

      Decrement the reference counter for this entity's skin image data
      Specified by:
        `releaseEntitySkin` in interface `IWorldAccess`

    - #### playSound

          public void playSound(String par1Str,
                       double par2,
                       double par4,
                       double par6,
                       float par8,
                       float par9)

      Plays the specified sound. Arg: soundName, x, y, z, volume, pitch
      Specified by:
        `playSound` in interface `IWorldAccess`

    - #### playSoundToNearExcept

          public void playSoundToNearExcept(EntityPlayer par1EntityPlayer,
                                   String par2Str,
                                   double par3,
                                   double par5,
                                   double par7,
                                   float par9,
                                   float par10)

      Plays sound to all near players except the player reference given
      Specified by:
        `playSoundToNearExcept` in interface `IWorldAccess`

    - #### markBlockRangeForRenderUpdate

          public void markBlockRangeForRenderUpdate(int par1,
                                           int par2,
                                           int par3,
                                           int par4,
                                           int par5,
                                           int par6)

      On the client, re-renders all blocks in this range, inclusive. On the server, does nothing. Args: min x, min y, min z, max x, max y, max z
      Specified by:
        `markBlockRangeForRenderUpdate` in interface `IWorldAccess`

    - #### markBlockForUpdate

          public void markBlockForUpdate(int par1,
                                int par2,
                                int par3)

      On the client, re-renders the block. On the server, sends the block to the client (which will re-render it), including the tile entity description packet if applicable. Args: x, y, z
      Specified by:
        `markBlockForUpdate` in interface `IWorldAccess`

    - #### markBlockForRenderUpdate

          public void markBlockForRenderUpdate(int par1,
                                      int par2,
                                      int par3)

      On the client, re-renders this block. On the server, does nothing. Used for lighting updates.
      Specified by:
        `markBlockForRenderUpdate` in interface `IWorldAccess`

    - #### playRecord

          public void playRecord(String par1Str,
                        int par2,
                        int par3,
                        int par4)

      Plays the specified record. Arg: recordName, x, y, z
      Specified by:
        `playRecord` in interface `IWorldAccess`

    - #### playAuxSFX

          public void playAuxSFX(EntityPlayer par1EntityPlayer,
                        int par2,
                        int par3,
                        int par4,
                        int par5,
                        int par6)

      Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
      Specified by:
        `playAuxSFX` in interface `IWorldAccess`

    - #### broadcastSound

          public void broadcastSound(int par1,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Specified by:
        `broadcastSound` in interface `IWorldAccess`

    - #### destroyBlockPartially

          public void destroyBlockPartially(int par1,
                                   int par2,
                                   int par3,
                                   int par4,
                                   int par5)

      Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
      Specified by:
        `destroyBlockPartially` in interface `IWorldAccess`